<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

$desde=$_GET['desde'];
$hasta=$_GET['hasta'];

$hasta1 = strtotime($hasta."+ 1 days");
date("Y-m-d",$hasta1) . "\n";
$hastaf=date("Y-m-d",$hasta1) . "\n";

$sumador_total=0; 
$query=mysqli_query($con, "SELECT * FROM egresos where fecha BETWEEN '$desde' AND '$hastaf' and empresa='$empresa' and sucursal='$sucursal' order by num_e desc");
$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'EGRESOS DESDE '.$desde. ' HASTA ' .$hasta,0,1);

$pdf->SetFont('Arial','',7);
$pdf->SetFillColor(235,225,215);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(8,4,'N',1,0,'C',1);
$pdf->Cell(30,4,'FECHA',1,0,'C',1);
$pdf->Cell(97,4,'CONCEPTO',1,0,'C',1);
$pdf->Cell(40,4,'METODO DE PAGO',1,0,'C',1);
$pdf->Cell(20,4,'TOTAL',1,0,'C',1);
$pdf->Ln(); 

while ($reg=mysqli_fetch_array($query))    
{
    $num_e=$reg['num_e']; 
    $concepto=$reg['concepto']; 
    $fecha=$reg['fecha'];
    $metodo_pago=$reg['metodo_pago'];
    $banco=$reg['banco'];
    $total=$reg['total'];

    $pdf->SetWidths(array(8,30,97,40,20));
    srand(time()*1000000);
    $pdf->Row(array($num_e,$fecha,$concepto,$metodo_pago.'('.$banco.')',number_format($total,0)));
    $sumador_total+=$total;
}


$sumador_total2=0; 
$query1=mysqli_query($con, "SELECT * FROM movimientos where mov_fecha BETWEEN '$desde' AND '$hastaf' and mov_tipo_movimiento='Abono cxp' and empresa='$empresa' and sucursal='$sucursal' order by mov_fecha desc");
while ($reg1=mysqli_fetch_array($query1))    
{
    $mov_detalle=$reg1['mov_detalle']; 
    $mov_fecha=$reg1['mov_fecha'];
    $forma_pago=$reg1['forma_pago'];
    $medio_pago=$reg1['medio_pago'];
    $mov_total=$reg1['mov_total'];

    $pdf->SetWidths(array(8,30,97,40,20));
    srand(time()*1000000);
    $pdf->Row(array($mov_fecha,$mov_detalle,$forma_pago.'('.$medio_pago.')',number_format($mov_total,0)));
    $sumador_total2+=$mov_total;
}


$pdf->SetFillColor(135,245,115);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(135,4,'',1,0,'C',1);
$pdf->Cell(40,4,'TOTAL',1,0,'C',1);
$pdf->Cell(20,4,number_format($sumador_total+$sumador_total2,0),1,0,'C',1);
$pdf->Ln();

$pdf->Output();
?>